Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1409816 - [RFE] New Basic User Portal POC
Summary: [RFE] New Basic User Portal POC
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Scott Herold
QA Contact: Gil Klein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 14:11 UTC by Marek Libra
Modified: 2017-02-06 14:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: New Basic User Portal is introduced, so far as tech preview. Reason: Recent GWT-based user portal UI is becoming old-stylish, response times are high and maintenance is becoming complicated due to large code/old code base. Result: To try, please follow the new "Basic User Portal" link from the main page. Recently most of previous (GWT based) Basic User Portal's functionality is available. In plan is full conformity and selected features of recent Extended Portal. Following goals were stated for this project: - improve UX by - modern UI (conforms Patternfly 3) - faster UI responses - shareable - built from reusable components to share portions of the UI in other projects (like ManageIQ) - POC for ongoing oVirt UI development - one of the options for next-gen oVirt UI to consider From technical perspective, the project is based on - oVirt REST API - React/Redux/Saga - Patternfly 3 - pure JavaScript App without server-side processing except the existing REST API So far, the project is tech preview to gather user feedback. Please share your comments and ideas, it will really help with ongoing development. Real-life use-cases (both existing or potential) will be much appreciated.
Clone Of:
Environment:
Last Closed: 2017-01-04 05:34:05 UTC
oVirt Team: Virt
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Marek Libra 2017-01-03 14:11:57 UTC
Create new Basic Portal with following:
- improve UX by
  - modern UI (conforms Patternfly 3)
  - faster UI responses
- shareable
  - built from reusable components to share portions of the UI in other projects (like ManageIQ)
- POC for ongoing oVirt UI development
  - one of the options for next-gen oVirt UI to consider

From technical perspective, the project is based on
- oVirt REST API
- React/Redux/Saga
- Patternfly 3
- pure JavaScript App without server-side processing except the existing REST API


More info: https://github.com/oVirt/ovirt-web-ui

Comment 1 Marek Libra 2017-01-03 14:15:37 UTC
First included in ovirt-4.1.0_beta2

Comment 2 Michal Skrivanek 2017-01-04 05:27:22 UTC
Why are you opening bugs like this? What's the point?


Note You need to log in before you can comment on or make changes to this bug.